Subject: Re: organization of wireguard linux kernel repos moving forward

From: Toke Høiland-Jørgensen <[email-masked]>
Date: Mon, 09 Dec 2019 13:43:41 +0100

"Jason A. Donenfeld" <[email-masked]> writes:

> 2) wireguard-tools.git will have the userspace utilities and scripts,
> such as wg(8) and wg-quick(8), and be easily packageable by distros.
> This repo won't be live until we get a bit closer to the 5.6 release,
> but when it is live, it will live at:
> https://git.zx2c4.com/wireguard-tools/ [currently 404s]
> https://git.kernel.org/pub/scm/linux/kernel/git/zx2c4/wireguard-tools.git/
> [currently 404s]

Any plans for integrating this further with iproute2? One could imagine
either teaching 'ip' about the wireguard-specific config (keys etc), or
even just moving the 'wg' binary wholesale into iproute2?

-Toke